/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package kr.co.kihyun.service.vo;

import java.util.Date;

/**
 *
 * @author KWON.HAN
 */
public class TotDocReportVO {
    //테이블컬럼변수
    
    private String orderIndex;             //정렬순서
    private String docReportType;          //D:집계자료, R:제출자료
    private String docReportSatus;         //자료의 현상태
    private String docReportMethod;        //문서 구분방식
    private String userId;                 //사용자 ID 
    private String deptId;                 //부서 ID  
    private Long id;                       //집계문서 ID       
    private String execCode;               //시행번호          
    private String name;                   //입력 자료명  
    private String ownerName;              //집계자 성명       
    private Date startDate;                //시작일    
    private Date endDate;                  //집계 종료일    
    private Long repId;                    //상위문서 ID       
    private Integer prss;                  //집계진행상태
    private Integer submitLimitCnt;        //제출부서 카운트
    private String sndCnt;                 //제출완료수
    private String allCnt;                 //제출대상전체수
    private String noteCnt;                //회수요청수    
    private String deptName;               //부서명    
    private String periodicalDocYn;        //정기집계 여부(Y/N)
    private Integer appendType;            //복사양식형태    
    private String reportDeptName;         //제출자의 부서명
    private String reportUserName;         //제출자명
    private Date submitDate;               //제출일자      
    private Long downDocId;                //이첩 집계문서 ID   
    private Integer reportPrss;            //제출진행상태 
    private Integer appro;                 //공유 범위 
    
//    private boolean isPeriodicalDoc;
//    private boolean isDocCollection;
//    private Long acptLimit        ;        //문서종료방법ID
//    private Integer accAuth       ;        //열람 권한
//    private Integer fixNum        ;        //순번
//    private String form           ;        //서식 정의
//    private Long group            ;        //서식종류 구분
//    private String handyName      ;        //핸디 이름
//    private String delType        ;        //삭제 유형(Y/N)
//    private String repDeptId      ;        //상위문서 부서ID
//    private Date regDate          ;        //등록일
//    private Integer totRange      ;        //서식공유범위
//    private Integer groupId       ;        //서식종류 구분ID
//    private String mngCode        ;        //문서관리 번호     
//    private String ownerEmail     ;        //집계자 E-mail 주소
//    private String ownerPhone     ;        //집계자 전화번호   
//    private String autoRtnYn      ;        //자동회수 여부(Y/N)
//    private String completeYn     ;        //집계완료여부
//    private String acptType       ;        //집계종료방법
//    private Integer completeReportCount;   //집계자료의 완료된 제출자료 갯수
    
    
    public String getOrderIndex() {
        return orderIndex;
    }

    public void setOrderIndex(String orderIndex) {
        this.orderIndex = orderIndex;
    }
    
    public String getDocReportType() {
        return docReportType;
    }

    public void setDocReportType(String docReportType) {
        this.docReportType = docReportType;
    }

    public String getDocReportSatus() {
        return docReportSatus;
    }

    public void setDocReportSatus(String docReportSatus) {
        this.docReportSatus = docReportSatus;
    }

    public String getDocReportMethod() {
        return docReportMethod;
    }

    public void setDocReportMethod(String docReportMethod) {
        this.docReportMethod = docReportMethod;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getExecCode() {
        return execCode;
    }

    public void setExecCode(String execCode) {
        this.execCode = execCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Long getRepId() {
        return repId;
    }

    public void setRepId(Long repId) {
        this.repId = repId;
    }

    public Integer getPrss() {
        return prss;
    }

    public void setPrss(Integer prss) {
        this.prss = prss;
    }

    public Integer getSubmitLimitCnt() {
        return submitLimitCnt;
    }

    public void setSubmitLimitCnt(Integer submitLimitCnt) {
        this.submitLimitCnt = submitLimitCnt;
    }
    
    public String getSndCnt() {
        return sndCnt;
    }

    public void setSndCnt(String sndCnt) {
        this.sndCnt = sndCnt;
    }

    public String getAllCnt() {
        return allCnt;
    }

    public void setAllCnt(String allCnt) {
        this.allCnt = allCnt;
    }

    public String getNoteCnt() {
        return noteCnt;
    }

    public void setNoteCnt(String noteCnt) {
        this.noteCnt = noteCnt;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getPeriodicalDocYn() {
        return periodicalDocYn;
    }

    public void setPeriodicalDocYn(String periodicalDocYn) {
        this.periodicalDocYn = periodicalDocYn;
    }

    public Integer getAppendType() {
        return appendType;
    }

    public void setAppendType(Integer appendType) {
        this.appendType = appendType;
    }

    public String getReportDeptName() {
        return reportDeptName;
    }

    public void setReportDeptName(String reportDeptName) {
        this.reportDeptName = reportDeptName;
    }

    public String getReportUserName() {
        return reportUserName;
    }

    public void setReportUserName(String reportUserName) {
        this.reportUserName = reportUserName;
    }

    public Date getSubmitDate() {
        return submitDate;
    }

    public void setSubmitDate(Date submitDate) {
        this.submitDate = submitDate;
    }

    public Long getDownDocId() {
        return downDocId;
    }

    public void setDownDocId(Long downDocId) {
        this.downDocId = downDocId;
    }

    public Integer getReportPrss() {
        return reportPrss;
    }

    public void setReportPrss(Integer reportPrss) {
        this.reportPrss = reportPrss;
    }

    public Integer getAppro() {
        return appro;
    }

    public void setAppro(Integer appro) {
        this.appro = appro;
    }

    //++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    
    public boolean isPeriodicalDoc() {
        return this.getPeriodicalDocYn().equals("Y");
    }
    
    public boolean isDocCollection() {
        //0.서식+파일, 1.파일, 2.서식함활용, 3.서식복사(시스템서식)
        return this.getAppendType() == 0 || this.getAppendType() == 2 || this.getAppendType() == 3;
    }
    
}
